# frozen_string_literal: true

module Authenticatable
  class RegistrationsController < AuthenticatableController
    before_action :require_unauthenticated!

    def new
      @resource = resource_class.new
    end

    def create
      @resource = resource_class.new(create_params)
      if @resource.save
        set_flash_message(:notice, :success)
        redirect_to new_session_path(resource_name)
      else
        render :new, status: :unprocessable_entity
      end
    end

    private

    # Strong parameters for the create action (sign in).
    def create_params
      params.require(resource_name).permit(:username, :email, :password, :password_confirmation)
    end
  end
end
