# frozen_string_literal: true

module Authenticatable
  class Mailer < Authenticatable.config.parent_mailer.constantize
    include Authenticatable::Controllers::UrlHelpers

    def reset_password(resource, resource_name)
      @resource = resource
      @reset_password_url = edit_password_url(resource_name, @resource.reset_password_token)

      mail(
        to: @resource.email,
        subject: I18n.t("authenticatable.passwords.email_subject")
      )
    end
  end
end
