# frozen_string_literal: true

module Authenticatable
  # The middleware for Rack Authentication that injects the authentication
  # session into the rack environment hash.
  class Manager
    def initialize(app)
      @app = app
    end

    def call(env)
      env["authenticatable"] = Authenticatable::Proxy.new(env)
      @app.call(env)
    end
  end
end
