# frozen_string_literal: true

require "active_support/concern"

module Authenticatable
  module Models
    module EmailValidator
      extend ActiveSupport::Concern

      included do
        validates :email, presence: true, uniqueness: true
        validates_format_of :email, with: Authenticatable.config.email_regexp
      end
    end
  end
end
