# frozen_string_literal: true

module Authenticatable
  module Testing
    module ControllerHelpers
      def setup_controller_request_and_response
        super
        @request.env["authenticatable"] = Authenticatable::Proxy.new(@request.env)

        # Set default testing scope to :users
        @request.env["authenticatable.scope"] = Authenticatable.add_scope(:users, {})
      end

      def sign_in(resource, store = nil)
        @request.env["authenticatable"].sign_in(resource, store)
      end

      # def sign_out(resource, store = nil)
      #   @request.env["authenticatable"].sign_out(resource, store)
      # end

      def authenticatable_scope(scope, options = {})
        @request.env["authenticatable.scope"] = Authenticatable.add_scope(scope, options)
      end

      def authenticatable
        @request.env["authenticatable"]
      end
    end
  end
end
