# frozen_string_literal: true

require "rails/generators/named_base"

module Authenticatable
  module Generators
    class AuthenticatableGenerator < Rails::Generators::NamedBase
      include Rails::Generators::ResourceHelpers

      namespace "authenticatable"

      desc "Generates a model with the given NAME (if one does not exist) with authenticatable " \
           "configuration plus a migration file and authentication routes."

      hook_for :orm, required: true
    end
  end
end
