# frozen_string_literal: true

require "rails/generators/base"
require "active_support/core_ext/string/inflections"

module Authenticatable
  module Generators
    class ViewsGenerator < Rails::Generators::Base
      desc "Copy view files to app/views"
      source_root Authenticatable::Engine.root
      argument :scope, default: "authenticatable", type: :string

      def copy_views
        scope_directory = (scope == "authenticatable" ? "authenticatable" : ActiveSupport::Inflector.pluralize(scope))
        directory "app/views/authenticatable", "app/views/#{scope_directory}"
      end
    end
  end
end
